# Create a pool

Create a pool with the specified name and concurrency limit. A default pool is created with the account's concurrency limit if it does not exist. The default pool’s concurrency limit is reduced by the new pool’s concurrency limit. You cannot create a pool if the default pool has more running attempts than its new reduced concurrency limit.

Endpoint: POST /api/pools
Version: 1.0
Security: ApiKeyAuth

## Request fields (application/json):

  - `concurrencyLimit` (integer, required)
    Maximum number of concurrent attempts that can run in this pool. Total concurrency limit of all pools cannot exceed the account's concurrency limit.
    Example: 10

  - `name` (string, required)
    Name of the pool. This name must be unique within the account.
    Example: "activation"

## Response 201 fields (application/json):

  - `concurrencyLimit` (integer, required)
    Maximum number of concurrent attempts that can run in this pool. Total concurrency limit of all pools cannot exceed the account's concurrency limit.
    Example: 10

  - `default` (boolean, required)
    Whether the pool is the default pool.
    Example: true

  - `id` (string, required)
    ID of the pool.
    Example: "42"

  - `name` (string, required)
    Name of the pool. This name must be unique within the account.
    Example: "activation"


## Response 400 fields

## Response 403 fields

## Response 409 fields
